Bug 713685 - ARM doesn't support -m32 or -m64
ARM doesn't support -m32 or -m64
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mpich2 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2011-06-16 05:03 EDT by Peter Robinson
Modified: 2011-08-06 14:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-04 19:13:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2011-06-16 05:03:42 EDT
mpich2 doesn't support the -m32 or -m64 gcc options so for %{arm} we need to either clear the setting or set it to something more appropriate for the platform so that it will compile.

http://gcc.gnu.org/onlinedocs/gcc/ARM-Options.html
Comment 1 Dennis Gilmore 2011-06-16 11:06:04 EDT
the standard fedora cflags set -m32 and -m64 as appropriate, we should just patch out of mpich2 anything that tries to be too smart. and just rely on whats set by us.
Comment 2 Deji Akingunola 2011-06-16 11:48:43 EDT
(In reply to comment #1)
> the standard fedora cflags set -m32 and -m64 as appropriate, we should just
> patch out of mpich2 anything that tries to be too smart. and just rely on whats
> set by us.

One need to look closely at the spec and have some understanding of how mpich2 behaves to understand what the 'm_option' macros (that sets the -m32/-m64) does. That macro is NOT for setting the compiler flag in building the mpich2 library, but for specifying the basic flag the built mpi compiler should use (once installed).
Comment 3 Deji Akingunola 2011-07-04 19:13:52 EDT
Fixed.

Note You need to log in before you can comment on or make changes to this bug.